Skip to main content
GET
/
logs
/
api
/logs/api
curl --request GET \
  --url https://api.daily.co/v1/logs/api \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "aaaaaaaa-0000-0000-0000-000000000001",
    "userId": "bbbbbbbb-0000-0000-0000-000000000001",
    "domainId": "cccccccc-0000-0000-0000-000000000001",
    "source": "api",
    "ip": "203.0.113.10",
    "method": "GET",
    "url": "/v1/rooms",
    "status": 200,
    "createdAt": "2024-03-15T18:42:00.000Z",
    "request": null,
    "response": "{\"total_count\":3,\"data\":[{\"id\":\"room-1\",\"name\":\"hello\"},{\"id\":\"room-2\",\"name\":\"world\"},{\"id\":\"room-3\",\"name\":\"test\"}]}"
  },
  {
    "id": "aaaaaaaa-0000-0000-0000-000000000002",
    "userId": "bbbbbbbb-0000-0000-0000-000000000001",
    "domainId": "cccccccc-0000-0000-0000-000000000001",
    "source": "api",
    "ip": "203.0.113.10",
    "method": "POST",
    "url": "/v1/rooms",
    "status": 200,
    "createdAt": "2024-03-15T18:41:30.000Z",
    "request": "{\"name\":\"my-room\",\"properties\":{\"exp\":1710527690}}",
    "response": "{\"id\":\"aaaaaaaa-0000-0000-0000-000000000099\",\"name\":\"my-room\",\"api_created\":true}"
  },
  {
    "id": "aaaaaaaa-0000-0000-0000-000000000003",
    "userId": "bbbbbbbb-0000-0000-0000-000000000001",
    "domainId": "cccccccc-0000-0000-0000-000000000001",
    "source": "api",
    "ip": "203.0.113.10",
    "method": "POST",
    "url": "/v1/meeting-tokens",
    "status": 400,
    "createdAt": "2024-03-15T18:41:00.000Z",
    "request": "{\"properties\":{\"room_name\":\"nonexistent-room\"}}",
    "response": "{\"error\":\"invalid-request-error\",\"info\":\"room not found\"}"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

starting_after
string

Given the log ID, will return all records after that ID. See pagination docs

ending_before
string

Given the log ID, will return all records before that ID. See pagination docs

limit
integer<i32>
default:20

Limit the number of logs and/or metrics returned

source
string
default:api

The source of the given logs, either "api" or "webhook"

url
string

Either the webhook server URL, or the API endpoint that was logged

Response

200

id
string

An ID identifying the log that was generated.

userId
string

The user ID associated with the owner of the account.

domainId
string

The domain ID associated with this log statement.

source
string

The source of this log statement. This will be "api" or "webhook".

ip
string

The originating IP address of this request.

method
string

The HTTP method used for this request.

url
string

The API route that was queried.

status
integer

The HTTP status code returned by the endpoint.

createdAt
string<date-time>

The timestamp representing when the record was created.

request
string | null

A JSON string representing the request body of this API request.

response
string | null

A JSON string representing the response body of this API request.